Skip to content
This repository
Browse code

Moved requirements to setup.py

  • Loading branch information...
commit 9e132f2bd76e4d39cf1794b3233e8c87dadd9b47 1 parent cb8b8b8
Daniel Nephin dnephin authored
2  docs/developing.rst
Source Rendered
@@ -9,7 +9,7 @@ one of those with `virtualenvwrapper
9 9 <http://www.doughellmann.com/projects/virtualenvwrapper/>`_::
10 10
11 11 > mkvirtualenv tron --distribute --no-site-packages
12   - > pip install < req_dev.txt
  12 + > pip install -r req_dev.txt
13 13
14 14 Here we used ``req_dev.txt`` instead of ``req.txt`` because `Testify
15 15 <https://github.com/yelp/testify>`_ is required to run the tests and `Sphinx
6 req.txt
... ... @@ -1,6 +0,0 @@
1   -PyYAML>=3.0
2   -Twisted>=10.0.0
3   -pyasn1>=0.0.13
4   -pycrypto>=2.4
5   -pytz>=2011n
6   -testify>=0.1.12
2  req_dev.txt
@@ -8,4 +8,4 @@ PyYAML>=3.0
8 8 Sphinx>=1.1.2
9 9 Sphinx-PyPI-upload>=0.2.1
10 10 testify>=0.1.12
11   -Twisted>=10.0.0
  11 +Twisted>=11.0.0
5 setup.py
@@ -26,8 +26,11 @@
26 26 "Development Status :: 4 - Beta",
27 27 ],
28 28 install_requires = [
29   - 'twisted>=10.0.0',
  29 + 'Twisted>=11.0.0',
30 30 'PyYAML>=3.10',
  31 + 'pyasn1>=0.0.13',
  32 + 'pycrypto>=2.4',
  33 + 'pytz>=2011n'
31 34 ],
32 35 packages=["tron", "tron.utils", "tron.config", "tron.commands"],
33 36 scripts=[

0 comments on commit 9e132f2

Please sign in to comment.
Something went wrong with that request. Please try again.